'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _clui = require('clui');

var _clui2 = _interopRequireDefault(_clui);

var _gitClone = require('git-clone');

var _gitClone2 = _interopRequireDefault(_gitClone);

var _messages = require('./messages');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Spinner = _clui2.default.Spinner;
var getBasis = function getBasis(targetPath) {
  return new Promise(function (resolve, reject) {

    // resolve();

    var gitUrl = 'https://github.com/warebrained/basis.git';

    (0, _gitClone2.default)(gitUrl, targetPath, {}, function (err) {

      if (err === undefined) {

        resolve();
      } else {

        reject(err);
      }
    });
  });
};

var finalise = function finalise(spinner, err) {

  spinner.stop();

  if (err !== undefined) {

    (0, _messages.status)('Template clone failed: ' + err.message, false);
  } else {

    (0, _messages.status)('Template cloned');
  }
};

exports.default = function (targetPath) {
  return new Promise(function (resolve, reject) {

    console.log();
    var spinner = new Spinner('Downloading Basis template from Github...');
    spinner.start();

    getBasis(targetPath).then(function () {

      finalise(spinner);
      resolve();
    }).catch(function (err) {

      finalise(spinner, err);
      reject(err);
    });
  });
};