'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.status = exports.banner = undefined;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _figlet = require('figlet');

var _figlet2 = _interopRequireDefault(_figlet);

var _figures = require('figures');

var _figures2 = _interopRequireDefault(_figures);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var colours = {
  yellow: 'yellow',
  cyan: 'cyan',
  green: 'green',
  red: 'red'
};

var write = function write(colour, message) {

  console.log(_chalk2.default[colour](message));
};

var banner = exports.banner = function banner() {

  write(colours.yellow, _figlet2.default.textSync('Basis', { horizontalLayout: 'full' }));
  write(colours.cyan, 'This tool will create a new (web app) project template based on the Basis stack\n');
};

var status = exports.status = function status(message) {
  var success = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;


  var colour = success ? colours.green : colours.red;
  var icon = success ? _figures2.default.tick : _figures2.default.cross;

  write(colour, icon + ' ' + message);
};